Skip to main content
GET
/
api
/
agent-runtimes
/
{id}
Get OrchestratorAgentRuntime by ID
curl --request GET \
  --url https://platform.kodexa.ai/api/agent-runtimes/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://platform.kodexa.ai/api/agent-runtimes/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://platform.kodexa.ai/api/agent-runtimes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agentRuntimeArn": "<string>",
  "awsRuntimeId": "<string>",
  "changeSequence": 123,
  "configMapName": "<string>",
  "configMapResourceVersion": "<string>",
  "createdBy": "<string>",
  "createdOn": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "endpointArn": "<string>",
  "endpointId": "<string>",
  "endpointName": "<string>",
  "environmentVars": "<unknown>",
  "failureReason": "<string>",
  "id": "<string>",
  "image": "<string>",
  "maxConcurrency": 123,
  "metadata": "<unknown>",
  "name": "<string>",
  "networkMode": "<string>",
  "organizationId": "<string>",
  "protocolConfiguration": "<string>",
  "roleArn": "<string>",
  "securityGroups": "<string>",
  "slug": "<string>",
  "status": "<string>",
  "subnets": "<string>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Response

The OrchestratorAgentRuntime

An orchestrator agent runtime defines an agent processing environment.

agentRuntimeArn
string | null
awsRuntimeId
string | null
changeSequence
integer<int32>
configMapName
string | null
configMapResourceVersion
string | null
createdBy
string
createdOn
string<date-time>
description
string
endpointArn
string | null
endpointId
string | null
endpointName
string | null
environmentVars
any
failureReason
string | null
id
string
image
string
maxConcurrency
integer<int32> | null
metadata
any
name
string
networkMode
string | null
organizationId
string
protocolConfiguration
string | null
roleArn
string
securityGroups
string | null
slug
string
status
string
subnets
string | null
updatedOn
string<date-time>
uuid
string